/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.ui.admin.action;

// Java classes
import java.util.Iterator;
import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

// Library
import org.apache.struts.tiles.ComponentContext;

// ESR classes
import gov.va.med.fw.ui.struts.AbstractTilesController;

/**
 * @author Madhu Katikala
 * Empty implementation of tiles controller
 */
public class SearchTilesController extends AbstractTilesController {
    
    public SearchTilesController() {
    	super();
    }
    /* (non-Javadoc)
     * @see org.apache.struts.tiles.Controller#execute(org.apache.struts.tiles.ComponentContext, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.ServletContext)
     */
    public void execute(ComponentContext componentContext, 
        HttpServletRequest httpServletRequest,
        HttpServletResponse httpServletResponse, 
        ServletContext servletContext) throws Exception {
        if (logger.isDebugEnabled()) {
            logger.debug("Executing SearchTilesController.execute()");
            Iterator iter = componentContext.getAttributeNames();
            if (iter != null) {
                while (iter.hasNext())
                {
                	logger.debug("Attribute: " + iter.next());
                }
            }
        }
    }
}
